<?php
//插件语言包
return [
    'daohang'                        => '导航',
    'please input keywords'          => '请输入关键字',
    'please have a rest'             => '请休息一会儿',
    
    'daohang_config'                 => '基础设置',
    'daohang_config_seo'             => 'SEO优化',
    'daohang_config_auth'            => '权限设置',
    
    'theme_wap'                      => '移动端主题',
    'theme_wap_placeholder'          => '请选择移动端独立主题模板名',
    'search_interval'                => '搜索间隔',
    'search_interval_placeholder'    => '规定时间内（秒）只能搜索一次，留空或为0时则不限制',
    'page_size'                      => '分页大小',
    'page_size_placeholder'          => '当没有pageSize参数时的默认分页大小',
    'auth_search'                    => '搜索限制白名单',
    'auth_status'                    => '发布免审白名单',
    'auth_save'                      => '网址快捷发布',
    'auth_save_web'                  => '用户中心发布',
    
    'rewrite_index'                  => '首页伪静态',
    'rewrite_index_placeholder'      => '需要将此应用设为首页，则填写/',
    'rewrite_page'                   => '单页伪静态',
    'rewrite_page_placeholder'       => '支持的参数列表如下',
    'rewrite_category'               => '分类页伪静态',
    'rewrite_category_placeholder'   => '支持的参数列表如下',
    'rewrite_tag'                    => '标签页伪静态',
    'rewrite_tag_placeholder'        => '支持的参数列表如下',
    'rewrite_search'                 => '搜索页伪静态',
    'rewrite_search_placeholder'     => '支持的参数列表如下',
    'rewrite_web'                    => '网址页伪静态',
    'rewrite_web_placeholder'        => '支持的参数列表如下',
    
    'info_user_id'                   => '用户ID',
    'info_user_name'                 => '所属用户',
    'info_create_time'               => '添加时间',
    'info_update_time'               => '更新时间',
    'info_color'                     => '文本颜色',
    
    'task_tags_count'                => '标签与分类统计',
    
    'index_title'                    => '标题（首页）',
    'index_title_placeholder'        => '首页SEO优化，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'index_keywords'                 => '关键字（首页）',
    'index_keywords_placeholder'     => '首页SEO优化，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'index_description'              => '描述（首页）',
    'index_description_placeholder'  => '首页SEO优化，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'search_title'                   => '标题（搜索页）',
    'search_title_placeholder'       => '搜索页SEO优化，支持参数有：[searchText]，[siteName]，[siteDomain]，[pageNumber]',
    'search_keywords'                => '关键字（搜索页）',
    'search_keywords_placeholder'    => '搜索页SEO优化，支持参数有：[searchText]，[siteName]，[siteDomain]，[pageNumber]',
    'search_description'             => '描述（搜索页）',
    'search_description_placeholder' => '搜索页SEO优化，支持参数有：[searchText]，[siteName]，[siteDomain]，[pageNumber]',
    'web_title'                      => '标题（网站发布页）',
    'web_title_placeholder'          => '网站发布页SEO优化，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'web_keywords'                   => '关键字（网站发布页）',
    'web_keywords_placeholder'       => '网站发布页SEO优化，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'web_description'                => '描述（网站发布页）',
    'web_description_placeholder'    => '网站发布页SEO优化，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'term_title'                     => '标题',
    'term_title_placeholder'         => '用于SEO优化标题，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'term_keywords'                  => '关键字',
    'term_keywords_placeholder'      => '用于SEO优化关键字，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    'term_description'               => '描述',
    'term_description_placeholder'   => '用于SEO优化描述，支持参数有：[siteName]，[siteDomain]，[pageNumber]',
    
    'image_level'                    => '横向封面',
    'image_level_placeholder'        => '可上传16:9的横向封面或图片网址',
    'image_vertical'                 => '竖向封面',
    'image_vertical_placeholder'     => '可上传9：16的竖向封面或图片网址',
    'image_qrcode'                   => '二维码图片',
    'image_qrcode_placeholder'       => '可上传二维码图片或二维码网址',
    'image_mini'                     => '小程序二维码',
    'image_mini_placeholder'         => '可上传小程序二维码或二维码网址',
    'image_ico'                      => '小图片图标',
    'image_ico_placeholder'          => '可上传小图片图标，通常为64*64',
    'url_web'                        => '网站地址',
    'url_web_placeholder'            => '网站地址，需要http(s)协议开头',
    'url_wap'                        => '手机网址',
    'url_wap_placeholder'            => '移动端网址或scheme协议',
    

    'user_repwd'                     => '修改密码',
    'user_repwd_placeholder'         => '',
    'user_logout'                    => '安全退出',
    'user_logout_placeholder'        => '',
    'user_web'                       => '发布网址',
    'user_web_placeholder'           => '',
    'user_pass_old'                  => '旧密码',
    'user_pass_old_placeholder'      => '请输入原密码',
    'user_pass_confirm'              => '确认密码',
    'user_pass_confirm_placeholder'  => '再次输入新密码',
    'category_id'                    => '分类',
    'category_id_placeholder'        => '可以选择多个分类',
    'tag_name'                       => '标签',
    'tag_name_placeholder'           => '可以选择多个标签',
];